package net.ranides.test.adapter.model1;

import net.ranides.test.adapter.model0.Image0;
import net.ranides.test.adapter.model0.Screen0;

public interface Screen1 {

    int width();

    int height();

    Image0 put(String id, int x, int y);

    Image0 put(Image0 image);

    void add(String id, int x, int y);

    void add(Image0 image);

    String findId(int x, int y);

    Image0 findImage(int x, int y);

    boolean contains(Image0 image);

    Screen0 resize(double f);

    boolean isWide();

}
